"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createFmFileFolderModelModifier = exports.FolderModelFieldsModifier = void 0;
var _apiAco = require("@webiny/api-aco");
class FolderModelFieldsModifier {
  fields = [];
  constructor(namespace) {
    this.namespace = namespace;
  }
  setFields(fields) {
    this.fields = fields;
  }
  addField(field) {
    const {
      tags,
      ...rest
    } = field;
    this.fields.push({
      ...rest,
      id: `${this.namespace}_${field.id}`,
      fieldId: `${this.namespace}_${field.fieldId}`,
      storageId: `${field.type}@${this.namespace}_${field.id}`,
      tags: (tags ?? []).concat([`$namespace:${this.namespace}`])
    });
  }
}
exports.FolderModelFieldsModifier = FolderModelFieldsModifier;
const createFmFileFolderModelModifier = callback => {
  const modifier = new FolderModelFieldsModifier("fm_file");
  return new _apiAco.FolderCmsModelModifierPlugin({
    callback,
    modifier
  });
};
exports.createFmFileFolderModelModifier = createFmFileFolderModelModifier;

//# sourceMappingURL=createFmFileFolderModelModifier.js.map